import { Metadata } from "next";
import { getServerSession } from "app/_lib/authentication";
import { Home } from "@link-stack/leafcutter-ui";
import { getUserVisualizations } from "@link-stack/opensearch-common";
import { LeafcutterWrapper } from "@link-stack/leafcutter-ui";

export const metadata: Metadata = {
  title: "Link",
};

export default async function Page() {
  const session = await getServerSession();
  const {
    user: { email },
  }: any = session;
  const visualizations = await getUserVisualizations(email ?? "none", 20);

  return (
    <LeafcutterWrapper>
      <Home visualizations={visualizations} showWelcome={false} />
    </LeafcutterWrapper>
  );
}
